<?php

namespace App\Http\Controllers;

use App\Audio;
use App\AudioLanguage;
use App\Genre;
use App\Audiogenre;
use App\Menu;
use App\WorldCupNew;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Intervention\Image\Facades\Image;

class WorldCupNewController extends Controller
{


    public function create()
    {
        return view('admin.worldcupnew.create');
    }
    public function index(Request $request)
    {
        if($request->search != NULL){
            $news = DB::table('world_cup_news')->where('tilte', 'like','%' . $request->search . '%')->paginate(12);
        }else{
            $news = DB::table('world_cup_news')->paginate(12);
        }
        return view('admin.worldcupnew.index', compact('news'));
    }

    public function getnew($id){
        $new = WorldCupNew::where('id', $id)->first();
        return $new;
    }

    public function destroy($id)
    {
        if(env('DEMO_LOCK') == 1){
            return back()->with('deleted','This action is disabled in the demo !');
        }
        $new = WorldCupNew::findOrFail($id);
       

            if ($new->thumbnail != null) {
                $content = @file_get_contents(public_path() . '/images/worldcupnew/' . $new->thumbnail);
                if ($content) {
                    unlink(public_path() . "/images//worldcupnew/" . $new->thumbnail);
                }
            }
           
            
           
        $new->delete();
        return back()->with('deleted', 'New has been deleted');

    }


    public function store(Request $request)
    {


      
       if(env('DEMO_LOCK') == 1){
            return back()->with('deleted','This action is disabled in the demo !');
        }
        $menus = null;
        $request->validate(['title' => 'required']);

      

       $input = $request->all();

      
      

        $thumbnail = null;
        $poster = null;

        if ($file = $request->file('thumbnail')) {

            $validator = Validator::make(
                [
                    'thumbnail' => $request->thumbnail,
                    'extension' => strtolower($request->thumbnail->getClientOriginalExtension()),
                ],
                [
                    'thumbnail' => 'required',
                    'extension' => 'required|in:jpg,jpeg,png,webp',
                ]
            );
            if ($validator->fails()) {
                return back()->with('deleted','Invalid file format Please use jpg,webp,jpeg and png image format !')->withInput();
            }else{

                $thumbnail = 'thumb_' . time() . $file->getClientOriginalName();
                if ($request->thumbnail != null) {
                    $content = @file_get_contents(public_path() . '/images/worldcupnew/' . $request->thumbnail);
                    if ($content) {
                        unlink(public_path() . "/images/worldcupnew/" . $request->thumbnail);
                    }
                }
                $img = Image::make($file->path());

                $img->resize(300, 450, function ($constraint) {
                    $constraint->aspectRatio();
                });
                $img->save(public_path('/images/worldcupnew') .'/'. $thumbnail);
                // $file->move(public_path() . '/images/audio/thumbnails', $thumbnail);
                $input['thumbnail'] = $thumbnail;
            }
        }
        $created_worldcupnew = WorldCupNew::create($input);
    
        return back()->with('added', 'NEW has been added');

    }

}