<?php

namespace App\Http\Controllers;

use App\Audio;
use App\AudioLanguage;
use App\WorldCupTeam;
use App\Genre;
use App\Menu;
use App\WorldCupResult;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Intervention\Image\Facades\Image;

class WorldCupResultController extends Controller
{

    public function index(Request $request)
    {
        
        if($request->search != NULL){
            $results = DB::table('world_cup_results')->where('date', 'like','%' . $request->search . '%')->paginate(12);
        }else{
            $results = DB::table('world_cup_results')->paginate(12);
        }

        $teams = WorldCupTeam::pluck('name', 'id')->all();

        return view('admin.worldcupresult.index', compact('results','teams'));
    }

    public function create()
    {
        $genre_ls = Genre::pluck('name', 'id')->all();
        $teams = WorldCupTeam::pluck('name', 'id')->all();
        $status_l = [1=>'Show time', 
        0=>'show result'];
        return view('admin.worldcupresult.create', compact('teams' ,'genre_ls' ,'status_l'));
    }

    public function destroy($id)
    {
        if(env('DEMO_LOCK') == 1){
            return back()->with('deleted','This action is disabled in the demo !');
        }
       
        $new = WorldCupResult::findOrFail($id);
        $new->delete();
        return back()->with('deleted', 'player has been deleted');

    }

    public function edit($id)
    {
        
        $result= WorldCupResult::findOrFail($id);
       
        $genre_ls = Genre::pluck('name', 'id')->all();
        $teams = WorldCupTeam::pluck('name', 'id')->all();
        $status_l = [1=>'Show time', 
                    0=>'show result'];

        return view('admin.worldcupresult.edit', compact('result' ,'genre_ls' ,'teams','status_l'));

    }

    public function update(Request $request, $id){
        

         $request->validate(['date' => 'required' ,
         'time' =>'required',
         'firstteam_id' =>'required',
         'secondteam_id' =>'required']);

        $result = WorldCupResult::findOrFail($id);

        $input = $request->all();

        $result->update($input);

        

        return redirect('/admin/worldcupresult')->with('updated', 'player has been updated');
    }

    public function store(Request $request)
    {
        

        $request->validate(['date' => 'required' ,
         'time' =>'required',
         'firstteam_id' =>'required',
         'secondteam_id' =>'required']);

        $input = $request->all();

        $player = WorldCupResult::create($input);

        return back()->with('added', 'player has been added');

    }

    public function ShowAll(){

        $AllTeams = WorldCupTeam::All();
        $results =WorldCupResult::All();
       
        return view('worldcupresults', ['AllTeams' => $AllTeams, 'results' => $results]);


}


}